﻿@model eCommerce.Services.Model.Product
@using eCommerce.Services.Utils
@{
    ViewBag.Title = "Productos";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<style>
    input[type=number]::-webkit-inner-spin-button, 
    input[type=number]::-webkit-outer-spin-button { 
      -webkit-appearance: none; 
      margin: 0; 
    }

    .stock-input{
        padding:0 5px;
        height:auto;
        width:70px;
        display: inline;
    }

    
    #StockTable tr td{
        position:relative;
    }
</style>

<div class="page-header">
    <h1 class="page-title">Ficha de Producto</h1>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
            @using (Html.BeginForm("ProductUpdate", "Products", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off", @enctype = "multipart/form-data" }))
            {
                <div class="example-wrap margin-lg-0">
                    <div class="nav-tabs-horizontal">
                        <ul class="nav nav-tabs nav-tabs-line" data-plugin="nav-tabs" role="tablist">
                            <li role="presentation" class="active"><a data-toggle="tab" href="#ProductInfoTab" aria-controls="ProductInfoTab" role="tab" aria-expanded="true">Ficha de Producto</a></li>
                            <li role="presentation" class="@(Model.ProductId == -1 ? "disabled disabledTab" : string.Empty)"><a @(Model.ProductId != -1 ? "data-toggle=tab href=#Stock" : string.Empty) aria-controls="Stock" role="tab" aria-expanded="false">Stock</a></li>
                            <li role="presentation" class="@(Model.ProductId == -1 ? "disabled disabledTab" : string.Empty)"><a @(Model.ProductId != -1 ? "data-toggle=tab href=#Images" : string.Empty) aria-controls="Images" role="tab" aria-expanded="false">Fotos</a></li>                            
                            @*<li role="presentation"><a data-toggle="tab" href="#SuppliersTab" aria-controls="SuppliersTab" role="tab" aria-expanded="false">Compras y Proveedores</a></li>*@
                        </ul>
                        <div class="tab-content padding-top-20">

                            <!--INFORMACIÓN DE PRODUCTO-->
                            <div class="tab-pane active" id="ProductInfoTab" role="tabpanel">
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Código*</label>
                                    <div class="col-sm-3">
                                        <input type="text" class="form-control" name="Code" value="@Model.Code" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Titulo*</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" id="Title" name="Title" value="@Model.Title" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Categoría</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" name="CategoryId" id="CategoryId" data-plugin="select2">
                                            @if (TempData["Categories"] != null)
                                            {
                                                foreach (var item in (SelectList)TempData["Categories"])
                                                {
                                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                }
                                            }
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Seo Url</label>
                                    <div class="col-sm-7">
                                        <div class="input-group">
                                            <span class="input-group-addon seourl-prefix">/@Utility.CataloguePrefix/</span>
                                            <input type="text" class="form-control" id="SeoUrl" name="SeoUrl" value="@Model.SeoUrl">
                                        </div>
                                    </div>
                                </div>
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Precio Minorista</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon">$</span>
                                            <input type="text" class="form-control" name="RetailPrice" placeholder="0,00" value="@Model.RetailPrice">
                                        </div>
                                    </div>
                                    <label class="col-sm-2 control-label">Precio tachado</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon">$</span>
                                            <input type="text" class="form-control" name="OldRetailPrice" placeholder="0,00" value="@Model.OldRetailPrice">
                                        </div>
                                    </div>
                                </div>*@
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Precio</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon">$</span>
                                            <input type="text" class="form-control" name="WholesalePrice" placeholder="0,00" value="@Model.WholesalePrice">
                                        </div>
                                    </div>
                                    <label class="col-sm-2 control-label">Precio tachado</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon">$</span>
                                            <input type="text" class="form-control" name="OldWholesalePrice" placeholder="0,00" value="@Model.OldWholesalePrice">
                                        </div>
                                    </div>
                                </div>
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Precio mayorista</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon">$</span>
                                            <input type="text" class="form-control" name="WholesalePrice" placeholder="0,00" value="@Model.WholesalePrice">
                                        </div>
                                    </div>
                                    <label class="col-sm-2 control-label">Precio tachado</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon">$</span>
                                            <input type="text" class="form-control" name="OldWholesalePrice" placeholder="0,00" value="@Model.OldWholesalePrice">
                                        </div>
                                    </div>
                                </div>*@
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Precio Distribuidor</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon">$</span>
                                            <input type="text" class="form-control" name="DistributorPrice" placeholder="0,00" value="@Model.DistributorPrice">
                                        </div>
                                    </div>
                                    <label class="col-sm-2 control-label">Precio tachado</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon">$</span>
                                            <input type="text" class="form-control" name="OldDistributorPrice" placeholder="0,00" value="@Model.OldDistributorPrice">
                                        </div>
                                    </div>
                                </div>*@
                                @*@if (ViewContext.Controller.HasRole("SuperAdmin"))
                                {
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label">Costo</label>
                                        <div class="col-sm-2">
                                            <div class="input-group">
                                                <span class="input-group-addon">$</span>
                                                <input type="text" class="form-control" name="AverageCost" placeholder="0,00" value="@Model.AverageCost">
                                            </div>
                                        </div>
                                    </div>
                                }
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">M&oacute;dulo</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="icon fa-bars" aria-hidden="true"></i></span>
                                            <input type="text" class="form-control" name="PhisicalLocationModule" value="@Model.PhisicalLocationModule">
                                        </div>
                                    </div>
                                    <label class="col-sm-2 control-label">Estante</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="icon fa-bars" aria-hidden="true"></i></span>
                                            <input type="text" class="form-control" name="PhisicalLocationRow" value="@Model.PhisicalLocationRow">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Tope descuento</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon">%</span>
                                            <input type="text" class="form-control" name="MaxDiscount" value="@Model.MaxDiscount">
                                        </div>
                                    </div>
                                </div>*@

                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Tela</label>
                                    <div class="col-sm-9">
                                        <textarea class="form-control" name="Cloth" rows="1">@Model.Cloth</textarea>
                                    </div>
                                </div>


                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Descripcion</label>
                                    <div class="col-sm-9">
                                        <textarea class="form-control" name="Description" rows="3">@Model.Description</textarea>
                                    </div>
                                </div>

                                <input type="hidden" name="ShopImageSize" value="1" />

                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Columnas</label>
                                    <div class="col-sm-1">
                                        <select class="form-control" name="ShopImageSize" data-plugin="select2">
                                            <option value="1" @(Model.ShopImageSize == 1 ? "selected" : string.Empty)>1</option>
                                            <option value="2" @(Model.ShopImageSize == 2 ? "selected" : string.Empty)>2</option>
                                        </select>
                                    </div>
                                </div>*@

                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Marca</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" name="BrandId" id="BrandId" data-plugin="select2">
                                            <option value="">Ninguna</option>
                                            @if (TempData["Brands"] != null)
                                            {
                                                foreach (var item in (SelectList)TempData["Brands"])
                                                {
                                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                }
                                            }
                                        </select>
                                    </div>
                                </div>*@
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Etiqueta de descuento</label>
                                    <div class="input-group col-sm-9">
                                        <select class="form-control" data-plugin="select2" name="TagId" id="TagId" style="height:0;">
                                            @if (TempData["Tags"] != null)
                                            {
                                                <option value=""></option>
                                                foreach (var item in (SelectList)TempData["Tags"])
                                                {
                                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                }
                                            }
                                        </select>
                                    </div>
                                </div>*@
                               @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Productos relacionados</label>
                                    <div class="input-group col-sm-9">
                                        <select class="form-control" data-plugin="select2" multiple="multiple" name="RelatedProducts" id="RelatedProducts" style="height:0;">
                                            @if (TempData["RelatedProducts"] != null)
                                            {
                                                foreach (var item in (MultiSelectList)TempData["RelatedProducts"])
                                                {
                                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                }
                                            }
                                        </select>
                                    </div>
                                </div>
                                *@
                                @*
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Productos en foto</label>
                                    <div class="input-group col-sm-9">
                                        <select class="form-control" data-plugin="select2" multiple="multiple" name="ProductPhotos" id="ProductPhotos" style="height:0;">
                                            @if (TempData["PhotoProducts"] != null)
                                            {
                                                foreach (var item in (MultiSelectList)TempData["PhotoProducts"])
                                                {
                                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                }
                                            }
                                        </select>
                                    </div>
                                </div>
                                *@
                                @*
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Keywords</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" data-plugin="tokenfield" id="Tags" name="Tags" value="@Model.Tags" />
                                        <p class="help-block">Apriete Enter por cada palabra clave a ingresar.</p>
                                    </div><br />
                                </div>
                                *@
                                @*
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">SKU</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="SKU" value="@Model.SKU" />
                                    </div>
                                </div>
                                *@
                                @*
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Código de color</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="ColorCode" value="@Model.ColorCode" />
                                    </div>
                                </div>
                                *@
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Meta Title</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="MetaTitle" value="@Model.MetaTitle" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Meta Descripción</label>
                                    <div class="col-sm-9">
                                        <textarea class="form-control" name="MetaDescription" rows="3">@Model.MetaDescription</textarea>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Orígen</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="Origin" value="@Model.Origin" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Fecha Despacho</label>
                                    <div class="col-sm-2">
                                        <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="icon wb-calendar" aria-hidden="true"></i>
                                            </span>
                                            <input type="text" class="form-control" name="DispatchDate" value="@(Model.DispatchDate.HasValue ? Model.DispatchDate.Value.ToShortDateString() : string.Empty)" data-plugin="datepicker" />
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Numero Despacho</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="DispatchNumber" value="@Model.DispatchNumber" />
                                    </div>
                                </div>*@
                                @*
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Mostrar en Home</label>
                                    <div class="col-sm-9">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" name="ShowInHome" id="ShowInHome" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.ShowInHome ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                        </div>
                                    </div>
                                </div>
                                *@
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Destacado</label>
                                    <div class="col-sm-9">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" name="Outstanding" id="Outstanding" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.Outstanding ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Sale</label>
                                    <div class="col-sm-9">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" name="OnSale" id="OnSale" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.OnSale ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">New</label>
                                    <div class="col-sm-9">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" name="IsNew" id="IsNew" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.IsNew ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                        </div>
                                    </div>
                                </div>
                                @*
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Denim</label>
                                    <div class="col-sm-9">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" name="Denim" id="Denim" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.Denim ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                        </div>
                                    </div>
                                </div>
                                *@
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Ultimas Unidades</label>
                                    <div class="col-sm-9">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" name="LastUnits" id="LastUnits" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.LastUnits ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                        </div>
                                    </div>
                                </div>*@
                                
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Agotado</label>
                                    <div class="col-sm-9">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" name="SoldOut" id="SoldOut" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.SoldOut ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Publicado</label>
                                    <div class="col-sm-9">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" name="Published" id="Published" class="js-switch-small js-published" data-plugin="switchery" data-size="small" @(Model.Published ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                        </div>
                                    </div>
                                </div>
                                @*<div class="form-group">
                                    <label class="col-sm-2 control-label">Publicado Mayorista</label>
                                    <div class="col-sm-9">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" name="PublishedWholesaler" id="PublishedWholesaler" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.PublishedWholesaler ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                        </div>
                                    </div>
                                </div>*@
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Control de Stock</label>
                                    <div class="col-sm-9">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" name="HasStockControl" id="HasStockControl" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.HasStockControl ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                        </div>
                                    </div>
                                </div>


                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Fecha publicado</label>
                                    <div class="input-group col-sm-2">
                                        <span class="input-group-addon">
                                            <i class="icon wb-calendar" aria-hidden="true"></i>
                                        </span>
                                        <input type="text" class="form-control js-publication-date" name="PublicationDate" value="@(Model.PublicationDate.HasValue ? Model.PublicationDate.Value.ToShortDateString() : DateTime.Now.ToShortDateString())" data-plugin="datepicker" />
                                        <input type="time" class="form-control js-publication-datetime" name="PublicationDateTime" value="@(Model.PublicationDate.HasValue ? Model.PublicationDate.Value.ToString("HH:mm") : DateTime.Now.ToString("HH:mm"))" />
                                        
                                    </div>
                                    <p class="help-block col-sm-offset-2 js-publication-text hidden">La fecha de publicación fue actualizada.</p>
                                </div>
                             
                              
                                
                            </div>

                            <!--IMÁGENES DE PRODUCTO-->
                            <div class="tab-pane " id="Images" role="tabpanel">
                                @Html.Partial("_ProductImages", Model.Images)
                            </div>
                            
                            <!--INFO PARA ENVÍO-->
                            <div class="tab-pane " id="Stock" role="tabpanel">
                            @if (Model.ProductId != -1)
                            {
                                @Html.Partial("_ProductStock", Model)

                                @*<div class="col-lg-12">
                                    <div class="example">
                                        <h4 class="example-title">Asignación de stock</h4>
                                        <div class="form-horizontal">
                                            
                                            <div class="form-group row">
                                                <div class="col-sm-2">
                                                    <select class="form-control stock-input" name="SizeId" id="SizeId" data-plugin="select2">
                                                        <option value="">Talle</option>
                                                        <option value="+">(+) Nuevo Talle</option>
                                                        @if (TempData["Sizes"] != null)
                                                        {
                                                            foreach (var item in (SelectList)TempData["Sizes"])
                                                            {
                                                                <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                            }
                                                        }
                                                    </select>
                                                </div>
                                                <div class="col-sm-2">
                                                    <select class="form-control stock-input" name="ColorId" id="ColorId" data-plugin="select2">
                                                        <option value="">Color</option>
                                                        <option value="+">(+) Nuevo Color</option>
                                                        @if (TempData["Colors"] != null)
                                                        {
                                                            foreach (var item in (SelectList)TempData["Colors"])
                                                            {
                                                                <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                            }
                                                        }
                                                    </select>
                                                </div>
                                                <input type="hidden" name="DepositId" id="DepositId" value="1" />
                                                @*<div class="col-sm-2">
                                                    <select class="form-control stock-input" name="DepositId" id="DepositId" data-plugin="select2">
                                                        <option value="">Depósito</option>
                                                        @if (TempData["Deposits"] != null)
                                                        {
                                                            foreach (var item in (SelectList)TempData["Deposits"])
                                                            {
                                                                <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                            }
                                                        }
                                                    </select>
                                                </div>
                                                <div class="col-sm-1">
                                                    <div class="input-group">
                                                        <input type="text" class="form-control stock-input" name="Quantity" id="Quantity" placeholder="Cant.">
                                                    </div>
                                                </div>
                                                <div class="col-sm-1">
                                                    <button type="button" class="btn btn-outline btn-primary" id="AddStock">
                                                        <i class="icon wb-plus" aria-hidden="true"></i>
                                                        <span class="hidden-xs">Asignar</span>
                                                    </button>
                                                </div>
                                            </div>
                                            <div class="row" id="ProductStock">
                                                @Html.Partial("_ProductStockList", Model.Stocks)
                                            </div>
                                        </div>
                                    </div>
                                </div>*@
                            }
                            </div>

                            <!--PROVEEDORES-->
                            @*<div class="tab-pane" id="SuppliersTab" role="tabpanel">
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Proveedores</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" data-plugin="multiSelect" multiple="multiple" name="Suppliers" id="Suppliers">
                                            @if (TempData["Suppliers"] != null)
                                            {
                                                foreach (var item in (MultiSelectList)TempData["Suppliers"])
                                                {
                                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                                }
                                            }
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Punto de Reposición</label>
                                    <div class="col-sm-3">
                                        <div class="input-group">
                                            <input type="text" class="form-control" name="StockBreak" placeholder="" value="@Model.StockBreak">
                                            <span class="input-group-addon">unidades</span>
                                        </div>
                                    </div>
                                </div>
                                @if (ViewContext.Controller.HasRole("SuperAdmin") || ViewContext.Controller.HasRole("Administración"))
                                {
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label">Costo Promedio</label>
                                        <div class="col-sm-2">
                                            <div class="input-group">
                                                <span class="input-group-addon">$</span>
                                                <input type="text" class="form-control" name="AverageCost" placeholder="0,00" value="@Model.AverageCost">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label">Costo Promedio (USD)</label>
                                        <div class="col-sm-2">
                                            <div class="input-group">
                                                <span class="input-group-addon">$</span>
                                                <input type="text" class="form-control" name="AverageCostUsd" placeholder="0,00" value="@Model.AverageCostUsd">
                                            </div>
                                        </div>
                                    </div>
                                }
                            </div>*@

                            <div class="text-right">
                                <input type="hidden" name="onlySave" id="onlySave" value="@(Model.ProductId == -1 ? "true" : "false")" />
                                @if (Model.ProductId > 0)
                                {
                                    <button type="submit" class="btn btn-primary btn-success" id="btnSave" onclick="SaveAndContinue()">Grabar y continuar</button>
                                }
                                <button type="submit" class="btn btn-primary btn-success" id="btnSave" onclick="">@(Model.ProductId == -1 ? "Crear Producto" : "Grabar")</button>
                                <button type="button" class="btn btn-default" onclick="window.location.href = '/Products'">Cancelar</button>
                                @Html.HiddenFor(model => model.ProductId)
                            </div>
                        </div>
                    </div>
                </div>
            }
            </div>
        </div>
    </div>
</div>

<!--NEW SIZE MODAL DIALOG-->
<div class="modal fade" id="NewSize" aria-hidden="false" aria-labelledby="checks" role="dialog" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="exampleFormModalLabel">Nuevo Talle - Complete los datos</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <form id="newSizeForm">
                        <div class="col-lg-12 form-group">
                            <input type="text" class="form-control" id="SizeDescription" name="SizeDescription" placeholder="Nombre">
                        </div>
                        <div class="col-sm-12 text-right">
                            <button class="btn btn-primary btn-outline" data-dismiss="modal" type="submit" id="btnModalSize" onclick="guardarNuevoTalle()">
                                Agregar
                            </button>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
</div>

<!--END NEW SIZE MODAL DIALOG-->
<!--NEW COLOR MODAL DIALOG-->
<div class="modal fade" id="NewColor" aria-hidden="false" aria-labelledby="checks" role="dialog" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="exampleFormModalLabel">Nuevo Color - Complete los datos</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <form id="newColorForm">
                        <div class="col-lg-12 form-group">
                            <input type="text" class="form-control" id="ColorDescription" name="ColorDescription" placeholder="Nombre">
                        </div>
                        <div class="col-sm-12 text-right">
                            <button class="btn btn-primary btn-outline" data-dismiss="modal" type="submit" id="btnModalColor" onclick="guardarNuevoColor()">
                                Agregar
                            </button>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
</div>
<!--END NEW COLOR MODAL DIALOG-->

<template id="StockTableRowTemplate">
    <tr class="js-stock-row" data-sizeid="{sizeId}" data-colorid="{colorId}" data-order="{order}">
        <td class="text-center">{sizeName}</td>
        <td class="text-center">{colorName}</td>
        <td class="text-center">
            <input type="text" class="form-control text-right stock-input" name="price-" value="{price}" />
        </td>
        <td class="text-center js-available-quantity">{availableQuantity}</td>
        <td class="text-center">
            <input type="number" class="form-control text-right stock-input js-stock-real" name="stock-{sizeId}-{colorId}" value="{quantity}" />
            <span class="remove" onclick="RemoveRow(this)"><i class="fa fa-trash-o" aria-hidden="true"></i></span>
        </td>
    </tr>
</template>




@section Scripts {

    <script src="/Content/assets/js/components/bootstrap-tokenfield.js"></script>
    <script type="text/javascript" src="@Url.Content("~/Scripts/Products/ProductImages.js")"></script>
    @*<script type="text/javascript" src="@Url.Content("~/scripts/products/productupdate.js")"></script>
    <script type="text/javascript" src="@Url.Content("~/Scripts/Products/ProductProperties.js")"></script>*@

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Title: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Título es requerido.'
                            }
                        }
                    },
                    
                    Description: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Descripción es requerido.'
                            }
                        }
                    },
                    RetailPrice: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    },
                    WholesalePrice: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    },
                    DistributorPrice: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    },
                    MaxDiscount: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    },
                    Weight: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    },
                    OldPrice: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    }

                }
            });
        })();

        $(document).ready(function () {

            $("#Tags").tokenfield();

            $('#categories').multiSelect()

            $("#AddStock").click(function () {
                AddStock();
            });

            let rows = 0;
            $(".js-stock-row").each(function () {
                $(this).find("input[name=price-]").attr("name", "price-" + rows);

                let name = $(this).find(".js-stock-real").attr("name");
                let names = name.split("-");
                names[3] = rows;
                $(this).find(".js-stock-real").attr("name", "stock-" + names[1] + "-" + names[2] + "-" + names[3]);
                rows++;
            });

            $("#SizeId").change(function () {
                if ($(this).val() == "+") {
                    $("#NewSize").modal();
                }
            });

            $("#ColorId").change(function () {
                if ($(this).val() == "+") {
                    $("#NewColor").modal();
                }
            });

            $(".disabledTab").click(function () {
                toastr.warning('Debe crear el producto antes de poder cargar imagenes o stock.')
            });

            $("#Title").keyup(function () {
                var url = $(this).val().toLowerCase().replace(/[^a-z0-9\s]/gi, '').replace(/[_\s]/g, '-');
                $("#SeoUrl").val(url);
            });

            $("#CategoryId").change(function () {
                var data = { CategoryId: $(this).val() }
                $.ajax({
                    cache: false,
                    method: "GET",
                    data: data,
                    url: "/Categories/GetCategorySeoUrl",
                    success: function (result) {
                        if (result.status == "ok") {
                            var text = result.data + "/";
                            $(".seourl-prefix").text(text);
                        } else {
                            var text = "/@Utility.CataloguePrefix/";
                            $(".seourl-prefix").text(text);
                        }

                    },
                });
            });

            $("#CategoryId").change();
        });

        $('.js-published').change(function () {
            var toggled = $(this).is(':checked');
            if (toggled) {
                var now = new Date();
                $('.js-publication-date').datepicker('update', now);
                var time = now.getHours().toString() + ":" + now.getMinutes().toString();
                var hours = now.getHours().toString().length > 1 ? now.getHours().toString() : "0" + now.getHours().toString();
                var minutes = now.getMinutes().toString().length > 1 ? now.getMinutes().toString() : "0" + now.getMinutes().toString();
                var time = hours + ":" + minutes;
                $('.js-publication-datetime').val(time);
                $('.js-publication-text').removeClass('hidden');
            }
        });
        
        function SaveAndContinue() {
            event.preventDefault();
            $("#onlySave").val('true');
            $("form")[0].submit();
        }

        function guardarNuevoTalle()
        {
            event.preventDefault();
            if ($("#SizeDescription").val() != '') {            
                $.ajax({
                    cache: false,
                    data: { Descripcion: $('#SizeDescription').val() },
                    datatype: "text",
                    method: "POST",
                    success: function (result) {
                        switch (result.tipoMensaje) {
                            case "success":
                                toastr.success(result.resultado);
                                $("#SizeId").append($('<option value=' + result.SizeId + '>' + result.Description + '</option>'));
                                $("#SizeId").val(result.SizeId);
                                $("#SizeId").change();
                                $("#SizeDescription").val('');
                                break;

                            case "error":
                                toastr.error(result.resultado);
                                break;
                        }
                    },
                    url: "/Sizes/ModalCreateSize"
                });
            } else {
                toastr.warning("Ingrese el nombre del talle nuevo");
                $("#SizeId").val('').trigger("change");
            }
        };

        function guardarNuevoColor(type) {
            if ($("#ColorDescription").val() != '') {
                $.ajax({
                    cache: false,
                    data: { Descripcion: $('#ColorDescription').val() },
                    datatype: "text",
                    method: "POST",
                    success: function (result) {
                        switch (result.tipoMensaje) {
                            case "success":
                                toastr.success(result.resultado);
                                $("#ColorId").append($('<option value=' + result.ColorId + '>' + result.Description + '</option>'));
                                $("#ColorId").val(result.ColorId);
                                $("#ColorId").change();
                                $("#ColorDescription").val('');

                                $('.js-image-color').each(function () {
                                    $(this).append($('<option value=' + result.ColorId + '>' + result.Description + '</option>'));
                                });
                                break;

                            case "error":
                                toastr.error(result.resultado);
                                break;
                        }
                    },
                    url: "/Colors/ModalCreateColor"
                });
            } else {
                toastr.warning("Ingrese el nombre del color nuevo");
                $("#ColorId").val('').trigger("change");
            }
        };

        function validateCode()
        {
            event.preventDefault();
            var code = $("[name='Code']").val();
            var productId = $("[name='ProductId']").val();
            $.ajax({
                cache: false,
                datatype: "text",
                method: "POST",
                data: { Code: code, ProductId: productId},
                url: "/Products/CodeExists",
                success: function (result) {
                    if(result == "True")
                    {
                        toastr.error("El codigo de producto ingresado ya existe.");
                    } else {
                        $("form")[0].submit();
                    }
                },
            });
            
        }

        function AddStock()
        {
            var productId = $("#ProductId").val();
            var sizeId = $("#SizeId").val();
            var colorId = $("#ColorId").val();
            //var depositId = $("#DepositId").val();
            var depositId = $("#DepositId").val();
            var quantity = $("#Quantity").val();
            
            if (validateAddStock())
            {
                $.ajax({
                    cache: false,
                    datatype: "text",
                    method: "POST",
                    data: { ProductId: productId, SizeId: sizeId, ColorId: colorId, DepositId: depositId, Quantity: quantity },
                    url: "/Products/AddStock",
                    success: function (result)
                    {
                        $("#ProductStock").html('');
                        $("#ProductStock").html(result);

                        cleanStockInputs();
                    },
                });
            }
        }

        function cleanStockInputs()
        {
            $("#SizeId").val("").select2();
            $("#ColorId").val("").select2();
            //$("#DepositId").val("").select2();
            $("#Quantity").val("");
        }

        function validateAddStock()
        {
            var isValid = true;
            $(".stock-input").each(function ()
            {
                if ($(this).val() == '')
                {
                    isValid = false;
                    $(".lbl" + $(this).attr('id')).css("color", "#b90000");
                    $(".lbl" + $(this).attr('id')).css("font-weight", "bold");
                } else {
                    $(".lbl" + $(this).attr('id')).css("color", "");
                    $(".lbl" + $(this).attr('id')).css("font-weight", "300");
                }
            });
            return isValid;
        }

        $('.js-image-color').change(function () {
            if ($(this).val() == "+") {
                $("#NewColor").modal();
            }
        });

    </script>

     <!-- Stock handle script -->
<script>
        let currentSizes = [];
        let currentColors = [];

        $(document).ready(function () {
            currentSizes = $('#SizeIds').val() != null ? $('#SizeIds').val() : [];
            currentColors = $('#ColorIds').val() != null ? $('#ColorIds').val() : [];
        });

        $('#StockQuantity').change(function () {
            let quantity = $(this).val();
            if (quantity.length == 0 || parseInt(quantity) < 0) quantity = 0;

            $('.js-stock-row input').each(function () {
                debugger;
                var auxQuantity = $(this).val();
                var diffQuantity = quantity - auxQuantity;
                $(this).parent().siblings('.js-available-quantity').text(diffQuantity + parseInt($(this).parent().siblings('.js-available-quantity').text()));

                $(this).val(quantity);
            });
        });

        $('#SizeIds').change(function () {
            let sizeIds = $('#SizeIds').val() != null ? $(this).val() : [];
            let colorIds = $('#ColorIds').val() != null ? $(this).val() : [];

            let newSizeId = sizeIds.filter(function (item) {
                return !currentSizes.includes(item);
            })[0];

            let deletedSizeId = currentSizes.filter(function (item) {
                return !sizeIds.includes(item);
            })[0];

            currentSizes = sizeIds;

            let sizeName = $('#SizeIds option[value=' + newSizeId + ']').text();
            let order = $('#SizeIds option[value=' + newSizeId + ']').data('order');
            let quantity = $('#StockQuantity').val() ? $('#StockQuantity').val() : 1;
            let price = 0;
            let rows = 0;
            if (deletedSizeId == null) {
                currentColors.forEach(function (colorId) {
                    let colorName = $('#ColorIds option[value=' + colorId + ']').text();
                    let row = $('#StockTableRowTemplate').html();
                    row = row
                        .replace(/{sizeName}/g, sizeName)
                        .replace(/{colorName}/g, colorName)
                        .replace(/{price}/g, price)
                        .replace(/{sizeId}/g, newSizeId)
                        .replace(/{colorId}/g, colorId)
                        .replace(/{availableQuantity}/g, quantity)
                        .replace(/{quantity}/g, quantity)
                        .replace(/{order}/g, order);

                    $('#StockTable > tbody').append(row);
                });
            } else {
                $('.js-stock-row[data-sizeid=' + deletedSizeId + ']').each(function () {
                    $(this).remove();
                });
            }

            $(".js-stock-row").each(function () {
                $(this).find("input[name=price-]").attr("name", "price-" + rows);

                let name = $(this).find(".js-stock-real").attr("name");
                let names = name.split("-");
                names[3] = rows;
                $(this).find(".js-stock-real").attr("name", "stock-" + names[1] + "-" + names[2] + "-" + names[3]);
                rows++;
            });

            SortTable();
        });

        $('#ColorIds').change(function () {
            let sizeIds = $('#SizeIds').val() != null ? $('#SizeIds').val() : [];
            let colorIds = $('#ColorIds').val() != null ? $('#ColorIds').val() : [];

            let newColorId = colorIds.filter(function (item) {
                return !currentColors.includes(item);
            })[0];

            let deletedColorId = currentColors.filter(function (item) {
                return !colorIds.includes(item);
            })[0];

            currentColors = colorIds;

            let colorName = $('#ColorIds option[value=' + newColorId + ']').text();
            let quantity = $('#StockQuantity').val() ? $('#StockQuantity').val() : 1;
            let price = 0;
            let rows = 0;
            if (deletedColorId == null) {
                currentSizes.forEach(function (sizeId) {
                    let sizeName = $('#SizeIds option[value=' + sizeId + ']').text();
                    let order = $('#SizeIds option[value=' + sizeId + ']').data('order');
                    let row = $('#StockTableRowTemplate').html();
                    row = row
                        .replace(/{sizeName}/g, sizeName)
                        .replace(/{colorName}/g, colorName)
                        .replace(/{price}/g, price)
                        .replace(/{sizeId}/g, sizeId)
                        .replace(/{colorId}/g, newColorId)
                        .replace(/{availableQuantity}/g, quantity)
                        .replace(/{quantity}/g, quantity)
                        .replace(/{order}/g, order);

                    $('#StockTable > tbody').append(row);
                });
            } else {
                $('.js-stock-row[data-colorid=' + deletedColorId + ']').each(function () {
                    $(this).remove();
                });
            }

            $(".js-stock-row").each(function () {
                $(this).find("input[name=price-]").attr("name", "price-" + rows);

                let name = $(this).find(".js-stock-real").attr("name");
                let names = name.split("-");
                names[3] = rows;
                $(this).find(".js-stock-real").attr("name", "stock-" + names[1] + "-" + names[2] + "-" + names[3]);
                rows++;
            });

            SortTable();
        });

        function SortTable() {
            let $table = $('#StockTable');
            let $rows = $('tbody > tr', $table);
            $rows.sort(function (a, b) {
                let keyA = $(a).data('order');
                let keyB = $(b).data('order');
                return keyA - keyB;
            });

            $rows.each(function (i, row) {
                $table.append(row);
            });
        }

        function RemoveRow(el) {
            $(el).closest('tr').remove();
        }
</script>
<!-- End stock handle script -->
}

